<?php

require_once IMP_BASE . '/lib/Imple/ContactAutoCompleter.php';

/**
 * $Horde: dimp/lib/Dimple/ContactAutoCompleter.php,v 1.14 2007/04/17 15:37:21 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @package Dimple
 */
class Dimple_ContactAutoCompleter extends Imple_ContactAutoCompleter {

    /**
     */
    function attach()
    {
        Horde::addScriptFile('ContactAutoComplete.js', 'imp', true);
        $url = Horde::url($GLOBALS['registry']->get('webroot', 'dimp') . '/dimple.php/ContactAutoCompleter/input=' . rawurlencode($this->_params['triggerId']));
        IMP::addInlineScript('Event.observe(window, "load", function() { new Ajax.Autocompleter("' . $this->_params['triggerId'] . '", "' . $this->_params['resultsId'] . '", "' . $url . '", { tokens: ",", onShow: ContactAutoCompleter_onShow, afterUpdateElement: function(f, t) { if (f.value.lastIndexOf(";") != (f.value.length - 1)) { f.value += ", "; } } }); });');
    }

    /**
     */
    function handle($args)
    {
        $GLOBALS['registry']->pushApp('imp');
        $ret = parent::handle($args);
        $GLOBALS['registry']->popApp('imp');
        return $ret;
    }

}
